the Fiddler.'s picture

OpenGL 3.0 officially delayed

It was announced earlier today that the ARB is currently revising the specifications to correct several identified issues. The official announcement is available at the OpenGL forums.

OpenGL 3.0 will be a complete redesign of the 20 year old OpenGL API, something sorely needed if I may add. It will be supported on R300 (Radeon 9500+)/NV30 (Geforce 5200+) and newer hardware, at least once the IHV's provide the necessary drivers. The Pipeline Newsletters contain more information on the upcoming API - a recommended read by all OpenGL developers.